diff --git a/python/mozbuild/mozbuild/test/configure/test_checks_configure.py b/python/mozbuild/mozbuild/test/configure/test_checks_configure.py
index 181c7acbd8..2e90deb0bf 100644
--- a/python/mozbuild/mozbuild/test/configure/test_checks_configure.py
+++ b/python/mozbuild/mozbuild/test/configure/test_checks_configure.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import, print_function, unicode_literals
 
 from StringIO import StringIO
 import os
@@ -447,7 +446,7 @@ class TestChecksConfigure(unittest.TestCase):
             checking for a... %s
         ''' % self.OTHER_A))
 
-        dirs = map(mozpath.dirname, (self.OTHER_A, self.KNOWN_A))
+        dirs = list(map(mozpath.dirname, (self.OTHER_A, self.KNOWN_A)))
         config, out, status = self.get_result(textwrap.dedent('''\
             check_prog("A", ("known-a",), paths=["%s"])
         ''' % os.pathsep.join(dirs)))
@@ -457,10 +456,10 @@ class TestChecksConfigure(unittest.TestCase):
             checking for a... %s
         ''' % self.OTHER_A))
 
-        dirs = map(mozpath.dirname, (self.KNOWN_A, self.KNOWN_B))
+        dirs = list(map(mozpath.dirname, (self.KNOWN_A, self.KNOWN_B)))
         config, out, status = self.get_result(textwrap.dedent('''\
-            check_prog("A", ("known-a",), paths=["%s", "%s"])
-        ''' % (os.pathsep.join(dirs), self.OTHER_A)))
+            check_prog("A", ("known-a",), paths=["{}", "{}"])
+        '''.format(os.pathsep.join(dirs), self.OTHER_A)))
         self.assertEqual(status, 0)
         self.assertEqual(config, {'A': self.KNOWN_A})
         self.assertEqual(out, textwrap.dedent('''\
@@ -514,14 +513,14 @@ class TestChecksConfigure(unittest.TestCase):
             'KEYTOOL': keytool,
         })
         self.assertEqual(out, textwrap.dedent('''\
-             checking for java... %s
-             checking for javah... %s
-             checking for jar... %s
-             checking for jarsigner... %s
-             checking for keytool... %s
-             checking for javac... %s
+             checking for java... {}
+             checking for javah... {}
+             checking for jar... {}
+             checking for jarsigner... {}
+             checking for keytool... {}
+             checking for javac... {}
              checking for javac version... 1.7
-        ''' % (java, javah, jar, jarsigner, keytool, javac)))
+        '''.format(java, javah, jar, jarsigner, keytool, javac)))
 
         # An alternative valid set of tools referred to by JAVA_HOME.
         alt_java = mozpath.abspath('/usr/local/bin/java')
@@ -557,14 +556,14 @@ class TestChecksConfigure(unittest.TestCase):
             'KEYTOOL': alt_keytool,
         })
         self.assertEqual(out, textwrap.dedent('''\
-             checking for java... %s
-             checking for javah... %s
-             checking for jar... %s
-             checking for jarsigner... %s
-             checking for keytool... %s
-             checking for javac... %s
+             checking for java... {}
+             checking for javah... {}
+             checking for jar... {}
+             checking for jarsigner... {}
+             checking for keytool... {}
+             checking for javac... {}
              checking for javac version... 1.7
-        ''' % (alt_java, alt_javah, alt_jar, alt_jarsigner,
+        '''.format(alt_java, alt_javah, alt_jar, alt_jarsigner,
                alt_keytool, alt_javac)))
 
         # We can use --with-java-bin-path instead of JAVA_HOME to similar
@@ -586,14 +585,14 @@ class TestChecksConfigure(unittest.TestCase):
             'KEYTOOL': alt_keytool,
         })
         self.assertEqual(out, textwrap.dedent('''\
-             checking for java... %s
-             checking for javah... %s
-             checking for jar... %s
-             checking for jarsigner... %s
-             checking for keytool... %s
-             checking for javac... %s
+             checking for java... {}
+             checking for javah... {}
+             checking for jar... {}
+             checking for jarsigner... {}
+             checking for keytool... {}
+             checking for javac... {}
              checking for javac version... 1.7
-        ''' % (alt_java, alt_javah, alt_jar, alt_jarsigner,
+        '''.format(alt_java, alt_javah, alt_jar, alt_jarsigner,
                alt_keytool, alt_javac)))
 
         # If --with-java-bin-path and JAVA_HOME are both set,
@@ -616,14 +615,14 @@ class TestChecksConfigure(unittest.TestCase):
             'KEYTOOL': alt_keytool,
         })
         self.assertEqual(out, textwrap.dedent('''\
-             checking for java... %s
-             checking for javah... %s
-             checking for jar... %s
-             checking for jarsigner... %s
-             checking for keytool... %s
-             checking for javac... %s
+             checking for java... {}
+             checking for javah... {}
+             checking for jar... {}
+             checking for jarsigner... {}
+             checking for keytool... {}
+             checking for javac... {}
              checking for javac version... 1.7
-        ''' % (alt_java, alt_javah, alt_jar, alt_jarsigner,
+        '''.format(alt_java, alt_javah, alt_jar, alt_jarsigner,
                alt_keytool, alt_javac)))
 
         def mock_old_javac(_, args):
@@ -648,15 +647,15 @@ class TestChecksConfigure(unittest.TestCase):
             'KEYTOOL': keytool,
         })
         self.assertEqual(out, textwrap.dedent('''\
-             checking for java... %s
-             checking for javah... %s
-             checking for jar... %s
-             checking for jarsigner... %s
-             checking for keytool... %s
-             checking for javac... %s
+             checking for java... {}
+             checking for javah... {}
+             checking for jar... {}
+             checking for jarsigner... {}
+             checking for keytool... {}
+             checking for javac... {}
              checking for javac version... 
              ERROR: javac 1.7 or higher is required (found 1.6.9)
-        ''' % (java, javah, jar, jarsigner, keytool, javac)))
+        '''.format(java, javah, jar, jarsigner, keytool, javac)))
 
         # Any missing tool is fatal when these checks run.
         del paths[jarsigner]
@@ -673,12 +672,12 @@ class TestChecksConfigure(unittest.TestCase):
             'JARSIGNER': ':',
         })
         self.assertEqual(out, textwrap.dedent('''\
-             checking for java... %s
-             checking for javah... %s
-             checking for jar... %s
+             checking for java... {}
+             checking for javah... {}
+             checking for jar... {}
              checking for jarsigner... not found
-             ERROR: The program jarsigner was not found.  Set $JAVA_HOME to your Java SDK directory or use '--with-java-bin-path={java-bin-dir}'
-        ''' % (java, javah, jar)))
+             ERROR: The program jarsigner was not found.  Set $JAVA_HOME to your Java SDK directory or use '--with-java-bin-path={{java-bin-dir}}'
+        '''.format(java, javah, jar)))
 
     def test_pkg_check_modules(self):
         mock_pkg_config_version = '0.10.0'
@@ -710,10 +709,10 @@ class TestChecksConfigure(unittest.TestCase):
         def get_result(cmd, args=[], extra_paths=None):
             return self.get_result(textwrap.dedent('''\
                 option('--disable-compile-environment', help='compile env')
-                include('%(topsrcdir)s/build/moz.configure/util.configure')
-                include('%(topsrcdir)s/build/moz.configure/checks.configure')
-                include('%(topsrcdir)s/build/moz.configure/pkg.configure')
-            ''' % {'topsrcdir': topsrcdir}) + cmd, args=args, extra_paths=extra_paths,
+                include('{topsrcdir}/build/moz.configure/util.configure')
+                include('{topsrcdir}/build/moz.configure/checks.configure')
+                include('{topsrcdir}/build/moz.configure/pkg.configure')
+            '''.format(topsrcdir=topsrcdir)) + cmd, args=args, extra_paths=extra_paths,
                                                    includes=())
 
         extra_paths = {
@@ -735,12 +734,12 @@ class TestChecksConfigure(unittest.TestCase):
                                             extra_paths=extra_paths)
         self.assertEqual(status, 0)
         self.assertEqual(output, textwrap.dedent('''\
-            checking for pkg_config... %s
-            checking for pkg-config version... %s
+            checking for pkg_config... {}
+            checking for pkg-config version... {}
             checking for valid... yes
             checking MOZ_VALID_CFLAGS... -I/usr/include/valid
             checking MOZ_VALID_LIBS... -lvalid
-        ''' % (mock_pkg_config_path, mock_pkg_config_version)))
+        '''.format(mock_pkg_config_path, mock_pkg_config_version)))
         self.assertEqual(config, {
             'PKG_CONFIG': mock_pkg_config_path,
             'MOZ_VALID_CFLAGS': ('-I/usr/include/valid',),
@@ -751,14 +750,14 @@ class TestChecksConfigure(unittest.TestCase):
                                             extra_paths=extra_paths)
         self.assertEqual(status, 1)
         self.assertEqual(output, textwrap.dedent('''\
-            checking for pkg_config... %s
-            checking for pkg-config version... %s
+            checking for pkg_config... {}
+            checking for pkg-config version... {}
             checking for unknown... no
             ERROR: Package unknown was not found in the pkg-config search path.
             ERROR: Perhaps you should add the directory containing `unknown.pc'
             ERROR: to the PKG_CONFIG_PATH environment variable
             ERROR: No package 'unknown' found
-        ''' % (mock_pkg_config_path, mock_pkg_config_version)))
+        '''.format(mock_pkg_config_path, mock_pkg_config_version)))
         self.assertEqual(config, {
             'PKG_CONFIG': mock_pkg_config_path,
         })
@@ -767,11 +766,11 @@ class TestChecksConfigure(unittest.TestCase):
                                             extra_paths=extra_paths)
         self.assertEqual(status, 1)
         self.assertEqual(output, textwrap.dedent('''\
-            checking for pkg_config... %s
-            checking for pkg-config version... %s
+            checking for pkg_config... {}
+            checking for pkg-config version... {}
             checking for new > 1.1... no
             ERROR: Requested 'new > 1.1' but version of new is 1.1
-        ''' % (mock_pkg_config_path, mock_pkg_config_version)))
+        '''.format(mock_pkg_config_path, mock_pkg_config_version)))
         self.assertEqual(config, {
             'PKG_CONFIG': mock_pkg_config_path,
         })
@@ -788,12 +787,12 @@ class TestChecksConfigure(unittest.TestCase):
         config, output, status = get_result(cmd, extra_paths=extra_paths)
         self.assertEqual(status, 0)
         self.assertEqual(output, textwrap.dedent('''\
-            checking for pkg_config... %s
-            checking for pkg-config version... %s
+            checking for pkg_config... {}
+            checking for pkg-config version... {}
             checking for new > 1.1... no
             WARNING: Requested 'new > 1.1' but version of new is 1.1
             Module not found.
-        ''' % (mock_pkg_config_path, mock_pkg_config_version)))
+        '''.format(mock_pkg_config_path, mock_pkg_config_version)))
         self.assertEqual(config, {
             'PKG_CONFIG': mock_pkg_config_path,
         })
diff --git a/python/mozbuild/mozbuild/test/configure/test_compile_checks.py b/python/mozbuild/mozbuild/test/configure/test_compile_checks.py
index 5913dbe3d4..a0ad3a9510 100644
--- a/python/mozbuild/mozbuild/test/configure/test_compile_checks.py
+++ b/python/mozbuild/mozbuild/test/configure/test_compile_checks.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import, print_function, unicode_literals
 
 import os
 import textwrap
